<?xml version="1.0" encoding="iso-8859-1"?>

<!--
   build.xml - build file para a demonstracao de tasks descritas no artigo 'Ant alem do basico'
   
   Autor: Felipe Leme <pente-fino@felipeal.net>   
-->


<project name="demaisTasks">

<target name="testaCvsBasico">
  <cvspass cvsroot=":pserver:anoncvs@cvs.apache.org:/home/cvspublic"
       password="anoncvs"/>
  <cvs cvsRoot=":pserver:anoncvs@cvs.apache.org:/home/cvspublic"
       package="ant" dest="ant_cvs"/>
</target>

<target name="testaCvsExtra" depends="testaCvsBasico">
	<cvstagdiff cvsRoot=":pserver:anoncvs@cvs.apache.org:/home/cvspublic"
   		destfile="ant_cvs/tagdiff.xml" package="ant" startTag="ANT_160" endTag="ANT_161"/>
	<cvschangelog dir="ant_cvs/ant/xdocs" destfile="ant_cvs/changelog.xml"/>
</target>

<target name="testaStyle" depends="testaCvsExtra">
   <style in="ant_cvs/changelog.xml" 
      out="changelog.html" 
      style="${ant.home}/etc/changelog.xsl">
      <param name="title" expression="Ant ChangeLog"/>
      <param name="module" expression="ant"/>
      <param name="cvsweb" expression="http://cvs.apache.org/viewcvs/"/>
   </style>
</target>

<target name="testaGet">
   <get src="http://apache.org/dist/ant/ant-current-bin.zip" verbose="on" dest="tmp/ant.zip"/>
</target>

<target name="testaFtp">
	<!-- obtém a senha do usuário -->
 	<input message="Digite a senha para o FTP" addproperty="input.senha"/>
	<!-- espera o usuário digitar algo para continuar o processo -->
	 <input message="Digite algo para iniciar a transferencia..."/>
   	<ftp action="get" server="ftp.pucpr.br"
		userid="anonymous" password="${input.senha}" remotedir="/apache/ant">
      	<fileset dir="tmp"> 
         	<include name="ant-current-bin.zip"/>
      	</fileset>
   </ftp>
</target>

</project>
